# CharacterEncoding enum

Enumerates character encodings.

Inheritance
  - Object
  - Enum
  - CharacterEncoding
Available extensions
  - EnumName

## Values

UNKNOWN → const CharacterEncoding

  Unknown encoding.

ASCII → const CharacterEncoding

  ASCII (ISO 646).

ISO_8859_PART1 → const CharacterEncoding

  ISO/IEC 8859 Part 1, a.k.a. Latin-1 Western European.

ISO_8859_PART2 → const CharacterEncoding

  ISO/IEC 8859 Part 2, a.k.a. Latin-2 Central European.

ISO_8859_PART3 → const CharacterEncoding

  ISO/IEC 8859 Part 3, a.k.a. Latin-3 South European.

ISO_8859_PART4 → const CharacterEncoding

  ISO/IEC 8859 Part 4, a.k.a. Latin-4 North European.

ISO_8859_PART5 → const CharacterEncoding

  ISO/IEC 8859 Part 5, a.k.a. Latin/Cyrillic.

ISO_8859_PART6 → const CharacterEncoding

  ISO/IEC 8859 Part 6, a.k.a. Latin/Arabic.

ISO_8859_PART7 → const CharacterEncoding

  ISO/IEC 8859 Part 7, a.k.a. Latin/Greek.

ISO_8859_PART8 → const CharacterEncoding

  ISO/IEC 8859 Part 8, a.k.a. Latin/Hebrew.

ISO_8859_PART9 → const CharacterEncoding

  ISO/IEC 8859 Part 9, a.k.a. Latin-5 Turkish.

ISO_8859_PART10 → const CharacterEncoding

  ISO/IEC 8859 Part 10, a.k.a. Latin-6 Nordic.

ISO_8859_PART11 → const CharacterEncoding

  ISO/IEC 8859 Part 11, a.k.a. Latin/Thai.

ISO_8859_PART13 → const CharacterEncoding

  ISO/IEC 8859 Part 13, a.k.a. Latin-7 Baltic Rim.

ISO_8859_PART14 → const CharacterEncoding

  ISO/IEC 8859 Part 14, a.k.a. Latin-8 Celtic.

ISO_8859_PART15 → const CharacterEncoding

  ISO/IEC 8859 Part 15, a.k.a. Latin-9.

ISO_8859_PART16 → const CharacterEncoding

  ISO/IEC 8859 Part 16, a.k.a. Latin-10 South-Eastern European.

CP_437 → const CharacterEncoding

  CP437 (DOS Latin US).

CP_1250 → const CharacterEncoding

  Windows-1250 (Eastern European).

CP_1251 → const CharacterEncoding

  Windows-1251 (Cyrillic).

CP_1252 → const CharacterEncoding

  Windows-1252 (Western European).

CP_1256 → const CharacterEncoding

  Windows-1256 (Arabic).

SHIFT_JIS → const CharacterEncoding

  Shift JIS (Japanese).

BIG_5 → const CharacterEncoding

  Big5 (Traditional Chinese).

GB_2312 → const CharacterEncoding

  GB2312 (Simplified Chinese).

GB_18030 → const CharacterEncoding

  GB18030 (Simplified Chinese).

EUC_JP → const CharacterEncoding

  EUC-JP (Japanese).

EUC_KR → const CharacterEncoding

  EUC-KR (Korean).

UTF_16_BE → const CharacterEncoding

  UTF16BE (UTF-16 Big Endian), a.k.a. UnicodeBig.

UTF_8 → const CharacterEncoding

  UTF8 (UTF-8).

UTF_16_LE → const CharacterEncoding

  UTF16LE (UTF-16 Little Endian).

UTF_32_BE → const CharacterEncoding

  UTF32BE (UTF-32 Big Endian).

UTF_32_LE → const CharacterEncoding

  UTF32LE (UTF-32 Little Endian).

BINARY → const CharacterEncoding

  Binary data.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<CharacterEncoding>
  A constant List of the values in this enum, in order of their declaration.